curl --request GET \
--url https://api.lettermint.co/v1/stats \
--header 'Authorization: Bearer <token>'{
"from": "<string>",
"to": "<string>",
"totals": {
"sent": 123,
"delivered": 123,
"hard_bounced": 123,
"spam_complaints": 123,
"opened": 123,
"clicked": 123,
"inbound": {
"received": 123
},
"transactional": {
"sent": 123,
"hard_bounced": 123,
"spam_complaints": 123
},
"broadcast": {
"sent": 123,
"hard_bounced": 123,
"spam_complaints": 123
}
},
"daily": [
{
"date": "<string>",
"sent": 123,
"delivered": 123,
"hard_bounced": 123,
"spam_complaints": 123,
"opened": 123,
"clicked": 123,
"inbound": {
"received": 123
},
"transactional": {
"sent": 123,
"hard_bounced": 123,
"spam_complaints": 123
},
"broadcast": {
"sent": 123,
"hard_bounced": 123,
"spam_complaints": 123
}
}
]
}Returns aggregate message statistics for the specified date range. Provide a project_id to get per-project stats with transactional/broadcast breakdown. Without project_id, returns team-wide totals from team_message_stats. Maximum date range is 90 days.
curl --request GET \
--url https://api.lettermint.co/v1/stats \
--header 'Authorization: Bearer <token>'{
"from": "<string>",
"to": "<string>",
"totals": {
"sent": 123,
"delivered": 123,
"hard_bounced": 123,
"spam_complaints": 123,
"opened": 123,
"clicked": 123,
"inbound": {
"received": 123
},
"transactional": {
"sent": 123,
"hard_bounced": 123,
"spam_complaints": 123
},
"broadcast": {
"sent": 123,
"hard_bounced": 123,
"spam_complaints": 123
}
},
"daily": [
{
"date": "<string>",
"sent": 123,
"delivered": 123,
"hard_bounced": 123,
"spam_complaints": 123,
"opened": 123,
"clicked": 123,
"inbound": {
"received": 123
},
"transactional": {
"sent": 123,
"hard_bounced": 123,
"spam_complaints": 123
},
"broadcast": {
"sent": 123,
"hard_bounced": 123,
"spam_complaints": 123
}
}
]
}Team API token. Find this in your team settings.